ON_3dmPageSettings Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h>`

## Public Member Functions

| ON_3dmPageSettings ()
| ~ON_3dmPageSettings ()
bool | IsValid (ON_TextLog *text_log=0) const
void | Default ()
bool | Write (ON_BinaryArchive &archive) const
bool | Read (ON_BinaryArchive &archive)

## Public Attributes

int | m_page_number
double | m_width_mm
double | m_height_mm
double | m_left_margin_mm
double | m_right_margin_mm
double | m_top_margin_mm
double | m_bottom_margin_mm
ON_wString | m_printer_name

## Detailed Description

Definition at line 395 of file opennurbs_3dm_settings.h.

## Constructor & Destructor Documentation

ON_3dmPageSettings::ON_3dmPageSettings | ( |  | ) |

ON_3dmPageSettings::~ON_3dmPageSettings | ( |  | ) |

## Member Function Documentation

void ON_3dmPageSettings::Default | ( |  | ) |

bool ON_3dmPageSettings::IsValid | ( | ON_TextLog * | text_log = `0` | ) | const

bool ON_3dmPageSettings::Read | ( | ON_BinaryArchive & | archive | ) |

bool ON_3dmPageSettings::Write | ( | ON_BinaryArchive & | archive | ) | const

## Member Data Documentation

double ON_3dmPageSettings::m_bottom_margin_mm

Definition at line 415 of file opennurbs_3dm_settings.h.

double ON_3dmPageSettings::m_height_mm

Definition at line 409 of file opennurbs_3dm_settings.h.

double ON_3dmPageSettings::m_left_margin_mm

Definition at line 412 of file opennurbs_3dm_settings.h.

int ON_3dmPageSettings::m_page_number

Definition at line 405 of file opennurbs_3dm_settings.h.

ON_wString ON_3dmPageSettings::m_printer_name

Definition at line 417 of file opennurbs_3dm_settings.h.

double ON_3dmPageSettings::m_right_margin_mm

Definition at line 413 of file opennurbs_3dm_settings.h.

double ON_3dmPageSettings::m_top_margin_mm

Definition at line 414 of file opennurbs_3dm_settings.h.

double ON_3dmPageSettings::m_width_mm

Definition at line 408 of file opennurbs_3dm_settings.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h